import { BaseProvider } from '#templates/base/provider';
import { NotificationDevice } from '#models/NotificationDevice';

export class NotificationDeviceProvider extends BaseProvider<NotificationDevice> {
	public static instance: NotificationDeviceProvider;

	public static getInstance(): NotificationDeviceProvider {
		NotificationDeviceProvider.instance ??= new NotificationDeviceProvider();
		return NotificationDeviceProvider.instance;
	}

	public static get model() {
		return NotificationDevice;
	}

	constructor() {
		super('NotificationDevice');
	}
}
